cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration

## Class ADT_A06_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A06_Common

- Direct Known Subclasses:
    ADT_A06, ADT_A07

      public abstract class ADT_A06_Common
      extends Message

  ADT_A06 - Change an Outpatient to an Inpatient (Event A06). This event is use when a patient, who is present for a non-admitted visit is being admitted after an evaluation of the seriousness of the patient's condition.

  Represents a ADT_A06 message structure (see chapter 3.2.6). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  6: ARV (Access Restrictions) MULTIPLE_OPTIONAL
  7: ROL (Role Segment) MULTIPLE_OPTIONAL
  8: MRG (Merge Information) SINGLE_OPTIONAL
  9: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  10: PV1 (Patient Visit Segment) SINGLE_COMPULSARY
  11: PV2 (Patient Visit - Additional Information Segment) SINGLE_OPTIONAL
  12: ARV (Access Restrictions) MULTIPLE_OPTIONAL
  13: ROL (Role Segment) MULTIPLE_OPTIONAL
  14: DB1 (Disability Segment) MULTIPLE_OPTIONAL
  15: OBX (Observation/Result Segment) MULTIPLE_OPTIONAL
  16: AL1 (Patient Allergy Information Segment) MULTIPLE_OPTIONAL
  17: DG1 (Diagnosis Segment) MULTIPLE_OPTIONAL
  18: DRG (Diagnosis Related Group Segment) SINGLE_OPTIONAL
  19: ADT_A06_PROCEDURE (a Group of segments in ADT_A06 message) MULTIPLE_OPTIONAL
  20: GT1 (Guarantor Segment) MULTIPLE_OPTIONAL
  21: INSURANCE (a Group of segments in ADT_A06 message) MULTIPLE_OPTIONAL
  22: ACC (Accident Segment) SINGLE_OPTIONAL
  23: UB1 (UB82 Segment) SINGLE_OPTIONAL
  24: UB2 (UB92 Data Segment) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllergyInformationSegment(AL1 objAL1)` Adds Allergy Information(AL1) to this message.
    `void` | `addAllergyInformationSegment(ISingleCollection<AL1> objAL1SegmentCollection)` Adds collection of Allergy Information(AL1) to this message.
    `void` | `addDiagnosisInformationSegment(DG1 objDG1)` Adds Diagnosis Information(DG1) to this message.
    `void` | `addDiagnosisInformationSegment(ISingleCollection<DG1> objDG1SegmentCollection)` Adds collection of Diagnosis Information(DG1) to this message.
    `void` | `addDisabilityInformationSegment(DB1 objDB1)` Adds Disability Information(DB1) to this message.
    `void` | `addDisabilityInformationSegment(ISingleCollection<DB1> objDB1SegmentCollection)` Adds collection of Disability Information(DB1) to this message.
    `void` | `addGuarantorSegment(GT1 objGT1)` Adds Guarantor(GT1) to this message.
    `void` | `addGuarantorSegment(ISingleCollection<GT1> objGT1SegmentCollection)` Adds collection of Guarantor(GT1) to this message.
    `void` | `addInsuranceGroup(IGroup objGroup)` Adds INSURANCE GROUP to this message.
    `void` | `addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of INSURANCE GROUP to this message.
    `void` | `addNextOfKinOrAssociatedPartiesSegment(ISingleCollection<NK1> objNK1SegmentCollection)` Adds collection of Role Segments(ROL) to this message.
    `void` | `addNextOfKinOrAssociatedPartiesSegment(NK1 objNK1)` Adds Next of Kin/Associated Parties Segment(NK1) to this message.
    `void` | `addObservationOrResultSegment(ISingleCollection<OBX> objOBXSegmentCollection)` Adds collection of Observation Or Result(OBX) to this message.
    `void` | `addObservationOrResultSegment(OBX objOBX)` Adds Observation Or Result(OBX) to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ARV objARV)` Adds Access Restrictions(ARV) to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)` Adds collection of Access Restrictions(ARV) to this message.
    `void` | `addPatientIdentificationAccessVisitSegment(ISingleCollection<ARV> objARVSegmentCollection)` Adds collection of Access Restrictions(ARV) to this message.
    `void` | `addPatientIdentificationRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)` Adds collection of Role Segments(ROL) to this message.
    `void` | `addPatientIdentificationRoleSegment(ROL objROL)` Adds Role Segment(ROL) to this message.
    `void` | `addPatientVisitAccessRestrictionsSegment(ARV objARV)` Adds Access Restrictions(ARV) to this message.
    `void` | `addPatientVisitRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)` Adds collection of Role Segments(ROL) to this message.
    `void` | `addPatientVisitRoleSegment(ROL objROL)` Adds Role Segment(ROL) to this message.
    `void` | `addProcedureGroup(IGroup objGroup)` Adds PROCEDURE GROUP to this message.
    `void` | `addProcedureGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PROCEDURE GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ACC` | `getAccidentInformationSegment()` Retrieves Specified Accident Information segment(ACC) present in this message.
    `PD1` | `getAdditinalDemographicsSegment()` Retrieves Additinal Demographics segment(PD1) present in this message.
    `ISingleCollection<AL1>` | `getAllergyInformationSegments()` Retrieves Collection of Allergy Information(AL1) present in this message.
    `ISingleCollection<DG1>` | `getDiagnosisInformationSegments()` Retrieves Collection of Diagnosis Information(DG1) present in this message.
    `DRG` | `getDiagnosisRelatedGroupSegment()` Retrieves Specified Diagnosis Related Group segment(DRG) present in this message.
    `ISingleCollection<DB1>` | `getDisabilityInformationSegments()` Retrieves Collection of Disability Information(DB1) present in this message.
    `EVN` | `getEventTypeSegment()` Retrieves Event Type(EVN) segment present in this message
    `ISingleCollection<GT1>` | `getGuarantorSegments()` Retrieves Collection of Guarantor(GT1) present in this message.
    `ISingleCollection<IGroup>` | `getInsuranceGroups()` Retrieves Collection of INSURANCE GROUP present in this message.
    `MRG` | `getMergeInformationSegment()` Retrieves Merge Information(MRG) present in this message.
    `ISingleCollection<NK1>` | `getNextOfKinOrAssociatedPartiesSegments()` Retrieves Collection of Next of Kin/Associated Parties Segment(NK1) present in this message.
    `ISingleCollection<OBX>` | `getObservationOrResultSegments()` Retrieves Collection of Observation Or Result(OBX) present in this message.
    `ISingleCollection<ARV>` | `getPatientIdentificationAccessRestrictionsSegments()` Retrieves Collection of Access Restrictions(ARV) present in this message.
    `ISingleCollection<ROL>` | `getPatientIdentificationRoleSegments()` Retrieves Collection of Role Segment(ROL) present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `ISingleCollection<ARV>` | `getPatientVisitAccessRestrictionsSegments()` Retrieves Collection of Access Restrictions(ARV) present in this message.
    `PV2` | `getPatientVisitAdditionalInfoSegment()` Retrieves Patient Visit Additional Info(PV2) segment present in this message.
    `ISingleCollection<ROL>` | `getPatientVisitRoleSegments()` Retrieves Collection of Role Segment(ROL) present in this message.
    `PV1` | `getPatientVisitSegment()` Retrieves Patient Visit(PV1) segment present in this message
    `ISingleCollection<IGroup>` | `getProcedureGroups()` Retrieves Collection of PROCEDURE GROUP present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UB2` | `getUniversalBill92InformationSegment()` Retrieves Specified Universal Bill 92 Information segment(UB2) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setAccidentInformationSegment(ACC objACC)` Sets value of Accident Information segment(ACC) for this message,overwrites if already present.
    `void` | `setAdditinalDemographicsSegment(PD1 objPD1)` Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
    `void` | `setDiagnosisRelatedGroupSegment(DRG objDRG)` Sets value of Diagnosis Related Group segment(DRG) for this message,overwrites if already present.
    `void` | `setEventTypeSegment(EVN objEVN)` Sets value of Event Type segment for this message,overwrites if already present.
    `void` | `setMergeInformationSegment(MRG objMRG)` Sets value of Merge Information segment(MRG) for this message,overwrites if already present.
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setPatientVisitAdditionalInfoSegment(PV2 objPV2)` Sets value of Patient Visit Additional Info(PV2) segment for this message,overwrites if already present.
    `void` | `setPatientVisitSegment(PV1 objPV1)` Sets value of Patient Visit segment for this message,overwrites if already present.
    `void` | `setUniversalBill92InformationSegment(UB2 objUB2)` Sets value of Universal Bill 92 Information segment(UB2) for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT)to be added in message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEventTypeSegment

          public EVN getEventTypeSegment()

      Retrieves Event Type(EVN) segment present in this message
      Returns:
        EVN - EVN Segment

    - #### setEventTypeSegment

          public void setEventTypeSegment(EVN objEVN)

      Sets value of Event Type segment for this message,overwrites if already present.
      Parameters:
        `objEVN` - Specified EVN Segment

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - Patient Identification Segment

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### getAdditinalDemographicsSegment

          public PD1 getAdditinalDemographicsSegment()

      Retrieves Additinal Demographics segment(PD1) present in this message.
      Returns:
        PD1 - Additinal Demographics(PD1) Segment.

    - #### setAdditinalDemographicsSegment

          public void setAdditinalDemographicsSegment(PD1 objPD1)

      Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
      Parameters:
        `objPD1` - Specified Additinal Demographics(PD1) Segment.

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ARV objARV)

      Adds Access Restrictions(ARV) to this message.
      Parameters:
        `objARV` - Specified Access Restrictions Segment to be added in message.

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)

      Adds collection of Access Restrictions(ARV) to this message.
      Parameters:
        `objARVSegmentCollection` - Collection of Access Restrictions(ARV) to add in this message

    - #### getPatientIdentificationAccessRestrictionsSegments

          public ISingleCollection<ARV> getPatientIdentificationAccessRestrictionsSegments()

      Retrieves Collection of Access Restrictions(ARV) present in this message.
      Returns:
        ISingleCollection - Collection of Access Restrictions(ARV) present in this message.

    - #### addPatientIdentificationRoleSegment

          public void addPatientIdentificationRoleSegment(ROL objROL)

      Adds Role Segment(ROL) to this message.
      Parameters:
        `objROL` - Specified Role Segment to be added in message.

    - #### addPatientIdentificationRoleSegment

          public void addPatientIdentificationRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)

      Adds collection of Role Segments(ROL) to this message.
      Parameters:
        `objROLSegmentCollection` - Collection of Role Segment(ROL) to add in this message

    - #### getPatientIdentificationRoleSegments

          public ISingleCollection<ROL> getPatientIdentificationRoleSegments()

      Retrieves Collection of Role Segment(ROL) present in this message.
      Returns:
        ISingleCollection - Collection of Role Segment(ROL) present in this message.

    - #### getMergeInformationSegment

          public MRG getMergeInformationSegment()

      Retrieves Merge Information(MRG) present in this message.
      Returns:
        MRG - Merge Information(MRG) Segment.

    - #### setMergeInformationSegment

          public void setMergeInformationSegment(MRG objMRG)

      Sets value of Merge Information segment(MRG) for this message,overwrites if already present.
      Parameters:
        `objMRG` - Specified Merge Information(MRG) Segment.

    - #### addNextOfKinOrAssociatedPartiesSegment

          public void addNextOfKinOrAssociatedPartiesSegment(NK1 objNK1)

      Adds Next of Kin/Associated Parties Segment(NK1) to this message.
      Parameters:
        `objNK1` - Specified Next of Kin/Associated Parties Segment(NK1) to add in message.

    - #### addNextOfKinOrAssociatedPartiesSegment

          public void addNextOfKinOrAssociatedPartiesSegment(ISingleCollection<NK1> objNK1SegmentCollection)

      Adds collection of Role Segments(ROL) to this message.
      Parameters:
        `objNK1SegmentCollection` - Collection of Next of Kin/Associated Parties Segment(NK1) to add in this message

    - #### getNextOfKinOrAssociatedPartiesSegments

          public ISingleCollection<NK1> getNextOfKinOrAssociatedPartiesSegments()

      Retrieves Collection of Next of Kin/Associated Parties Segment(NK1) present in this message.
      Returns:
        ISingleCollection - Collection of Next of Kin/Associated Parties Segment(NK1) present in this message.

    - #### getPatientVisitSegment

          public PV1 getPatientVisitSegment()

      Retrieves Patient Visit(PV1) segment present in this message
      Returns:
        PV1 - PV1 Segment

    - #### setPatientVisitSegment

          public void setPatientVisitSegment(PV1 objPV1)

      Sets value of Patient Visit segment for this message,overwrites if already present.
      Parameters:
        `objPV1` - Specified PV1 Segment

    - #### getPatientVisitAdditionalInfoSegment

          public PV2 getPatientVisitAdditionalInfoSegment()

      Retrieves Patient Visit Additional Info(PV2) segment present in this message.
      Returns:
        PV2 - Specified Patient Visit Additional Info(PV2) Segment

    - #### setPatientVisitAdditionalInfoSegment

          public void setPatientVisitAdditionalInfoSegment(PV2 objPV2)

      Sets value of Patient Visit Additional Info(PV2) segment for this message,overwrites if already present.
      Parameters:
        `objPV2` - Specified PV2 Segment

    - #### addPatientVisitAccessRestrictionsSegment

          public void addPatientVisitAccessRestrictionsSegment(ARV objARV)

      Adds Access Restrictions(ARV) to this message.
      Parameters:
        `objARV` - Specified Access Restrictions Segment to be added in message.

    - #### addPatientIdentificationAccessVisitSegment

          public void addPatientIdentificationAccessVisitSegment(ISingleCollection<ARV> objARVSegmentCollection)

      Adds collection of Access Restrictions(ARV) to this message.
      Parameters:
        `objARVSegmentCollection` - Collection of Access Restrictions(ARV) to add in this message

    - #### getPatientVisitAccessRestrictionsSegments

          public ISingleCollection<ARV> getPatientVisitAccessRestrictionsSegments()

      Retrieves Collection of Access Restrictions(ARV) present in this message.
      Returns:
        ISingleCollection - Collection of Access Restrictions(ARV) present in this message.

    - #### addPatientVisitRoleSegment

          public void addPatientVisitRoleSegment(ROL objROL)

      Adds Role Segment(ROL) to this message.
      Parameters:
        `objROL` - Specified Role Segment to be added in message.

    - #### addPatientVisitRoleSegment

          public void addPatientVisitRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)

      Adds collection of Role Segments(ROL) to this message.
      Parameters:
        `objROLSegmentCollection` - Collection of Role Segment(ROL) to add in this message

    - #### getPatientVisitRoleSegments

          public ISingleCollection<ROL> getPatientVisitRoleSegments()

      Retrieves Collection of Role Segment(ROL) present in this message.
      Returns:
        ISingleCollection - Collection of Role Segment(ROL) present in this message.

    - #### addDisabilityInformationSegment

          public void addDisabilityInformationSegment(DB1 objDB1)

      Adds Disability Information(DB1) to this message.
      Parameters:
        `objDB1` - Specified Disability Information Segment to be added in message.

    - #### addDisabilityInformationSegment

          public void addDisabilityInformationSegment(ISingleCollection<DB1> objDB1SegmentCollection)

      Adds collection of Disability Information(DB1) to this message.
      Parameters:
        `objDB1SegmentCollection` - Collection of Disability Information(DB1) to add in this message

    - #### getDisabilityInformationSegments

          public ISingleCollection<DB1> getDisabilityInformationSegments()

      Retrieves Collection of Disability Information(DB1) present in this message.
      Returns:
        ISingleCollection - Collection of Disability Information(DB1) present in this message.

    - #### addObservationOrResultSegment

          public void addObservationOrResultSegment(OBX objOBX)

      Adds Observation Or Result(OBX) to this message.
      Parameters:
        `objOBX` - Specified Observation Or Result Segment to be added in message.

    - #### addObservationOrResultSegment

          public void addObservationOrResultSegment(ISingleCollection<OBX> objOBXSegmentCollection)

      Adds collection of Observation Or Result(OBX) to this message.
      Parameters:
        `objOBXSegmentCollection` - Collection of Observation Or Result(OBX) to add in this message

    - #### getObservationOrResultSegments

          public ISingleCollection<OBX> getObservationOrResultSegments()

      Retrieves Collection of Observation Or Result(OBX) present in this message.
      Returns:
        ISingleCollection - Collection of Observation Or Result(OBX) present in this message.

    - #### addAllergyInformationSegment

          public void addAllergyInformationSegment(AL1 objAL1)

      Adds Allergy Information(AL1) to this message.
      Parameters:
        `objAL1` - Specified Allergy Information(AL1) Segment to be added in message.

    - #### addAllergyInformationSegment

          public void addAllergyInformationSegment(ISingleCollection<AL1> objAL1SegmentCollection)

      Adds collection of Allergy Information(AL1) to this message.
      Parameters:
        `objAL1SegmentCollection` - Collection of Allergy Information(AL1) to add in this message

    - #### getAllergyInformationSegments

          public ISingleCollection<AL1> getAllergyInformationSegments()

      Retrieves Collection of Allergy Information(AL1) present in this message.
      Returns:
        ISingleCollection - Collection of Allergy Information(AL1) present in this message.

    - #### addDiagnosisInformationSegment

          public void addDiagnosisInformationSegment(DG1 objDG1)

      Adds Diagnosis Information(DG1) to this message.
      Parameters:
        `objDG1` - Specified Diagnosis Information(DG1) Segment to this message.

    - #### addDiagnosisInformationSegment

          public void addDiagnosisInformationSegment(ISingleCollection<DG1> objDG1SegmentCollection)

      Adds collection of Diagnosis Information(DG1) to this message.
      Parameters:
        `objDG1SegmentCollection` - Collection of Diagnosis Information(DG1) to add in this message

    - #### getDiagnosisInformationSegments

          public ISingleCollection<DG1> getDiagnosisInformationSegments()

      Retrieves Collection of Diagnosis Information(DG1) present in this message.
      Returns:
        ISingleCollection - Collection of Diagnosis Information(DG1) present in this message.

    - #### getDiagnosisRelatedGroupSegment

          public DRG getDiagnosisRelatedGroupSegment()

      Retrieves Specified Diagnosis Related Group segment(DRG) present in this message.
      Returns:
        DRG - Specified Diagnosis Related Group(DRG) Segment.

    - #### setDiagnosisRelatedGroupSegment

          public void setDiagnosisRelatedGroupSegment(DRG objDRG)

      Sets value of Diagnosis Related Group segment(DRG) for this message,overwrites if already present.
      Parameters:
        `objDRG` - Specified Diagnosis Related Group(DRG) Segment.

    - #### getProcedureGroups

          public ISingleCollection<IGroup> getProcedureGroups()

      Retrieves Collection of PROCEDURE GROUP present in this message.
      Returns:
        ISingleCollection - Collection of PROCEDURE Group present in this Message.

    - #### addProcedureGroups

          public void addProcedureGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PROCEDURE GROUP to this message.
      Parameters:
        `objSingleCollection` - - Specified PROCEDURE GROUP Collection.

    - #### addProcedureGroup

          public void addProcedureGroup(IGroup objGroup)

      Adds PROCEDURE GROUP to this message.
      Parameters:
        `objGroup` - Specified PROCEDURE GROUP.

    - #### getInsuranceGroups

          public ISingleCollection<IGroup> getInsuranceGroups()

      Retrieves Collection of INSURANCE GROUP present in this message.
      Returns:
        ISingleCollection - Collection of INSURANCE Group present in this Message.

    - #### addInsuranceGroups

          public void addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of INSURANCE GROUP to this message.
      Parameters:
        `objSingleCollection` - - Specified INSURANCE GROUP Collection.

    - #### addInsuranceGroup

          public void addInsuranceGroup(IGroup objGroup)

      Adds INSURANCE GROUP to this message.
      Parameters:
        `objGroup` - Specified INSURANCE GROUP.

    - #### getAccidentInformationSegment

          public ACC getAccidentInformationSegment()

      Retrieves Specified Accident Information segment(ACC) present in this message.
      Returns:
        ACC - Specified Accident Information(ACC) Segment.

    - #### setAccidentInformationSegment

          public void setAccidentInformationSegment(ACC objACC)

      Sets value of Accident Information segment(ACC) for this message,overwrites if already present.
      Parameters:
        `objACC` - Specified Accident Information(ACC) Segment.

    - #### getUniversalBill92InformationSegment

          public UB2 getUniversalBill92InformationSegment()

      Retrieves Specified Universal Bill 92 Information segment(UB2) present in this message.
      Returns:
        UB2 - Specified Universal Bill 92 Information(UB2) Segment.

    - #### setUniversalBill92InformationSegment

          public void setUniversalBill92InformationSegment(UB2 objUB2)

      Sets value of Universal Bill 92 Information segment(UB2) for this message,overwrites if already present.
      Parameters:
        `objUB2` - Specified Universal Bill 92 Information(UB2) Segment.

    - #### addGuarantorSegment

          public void addGuarantorSegment(GT1 objGT1)

      Adds Guarantor(GT1) to this message.
      Parameters:
        `objGT1` - Specified Guarantor Segment to this message.

    - #### addGuarantorSegment

          public void addGuarantorSegment(ISingleCollection<GT1> objGT1SegmentCollection)

      Adds collection of Guarantor(GT1) to this message.
      Parameters:
        `objGT1SegmentCollection` - Collection of Guarantor(GT1) to add in this message

    - #### getGuarantorSegments

          public ISingleCollection<GT1> getGuarantorSegments()

      Retrieves Collection of Guarantor(GT1) present in this message.
      Returns:
        ISingleCollection - Collection of Guarantor(GT1) present in this message.